using Cinemachine;
using UnityEngine;

namespace Camera
{
    public class CameraPlayerFinder : MonoBehaviour
    {
        private CinemachineVirtualCamera _cinemachineVirtualCamera;

        private void Awake()
        {
            _cinemachineVirtualCamera = GetComponent<CinemachineVirtualCamera>();
        }

        private void Update()
        {
            if (_cinemachineVirtualCamera.Follow == null && GameObject.FindWithTag("Player") != null)
                _cinemachineVirtualCamera.Follow = GameObject.FindWithTag("Player").transform;
        }
    }
}